Bug 85430 - Differences between KDE Bluecurve and GNOME Bluecurve
Differences between KDE Bluecurve and GNOME Bluecurve
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-03-02 11:00 EST by Peter van Egdom
Modified: 2013-03-13 00:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:28:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Bottom right screenshot of Bluecurve window decoration in GNOME (2.54 KB, image/png)
2003-03-02 11:03 EST, Peter van Egdom
no flags Details
Bottom right screenshot of Bluecurve window decoration in KDE (2.56 KB, image/png)
2003-03-02 11:04 EST, Peter van Egdom
no flags Details
Top left screenshot of Bluecurve window decoration in GNOME (2.58 KB, image/png)
2003-03-02 11:07 EST, Peter van Egdom
no flags Details
Top left screenshot of Bluecurve window decoration in KDE (2.54 KB, image/png)
2003-03-02 11:08 EST, Peter van Egdom
no flags Details
Top right screenshot of Bluecurve window decoration in GNOME (2.04 KB, image/png)
2003-03-02 11:18 EST, Peter van Egdom
no flags Details
Top right screenshot of Bluecurve window decoration in KDE (2.12 KB, image/png)
2003-03-02 11:19 EST, Peter van Egdom
no flags Details

  None (edit)
Description Peter van Egdom 2003-03-02 11:00:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:

There are some differences between the KDE version of Bluecurve and the GNOME
version of Bluecurve :

- The grey values differ (KDE's Bluecurve seems darker and sharper).

- The edges of GNOME's Bluecurve window decoration seem rounder
  and correctly anti-aliased (KDE's Bluecurve seems incorrectly
  anti-aliased).

- KDE's Bluecurve window decoration seems to have white pixels
  where there should not be a pixel (in the top-right and bottom-
  right part of the window decoration).

(see attachments for some 'xmag' screenshots).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start KDE and make magnifications with xmag of the borders
   of the Bluecurve theme.

2. Start GNOME and make magnifications with xmag of the borders
   of the Bluecurve theme.

3. Compare

Actual Results:  
 Differences between KDE's Bluecurve theme and GNOME's Bluecurve theme.

Expected Results:  
 There should not be differences between KDE Bluecurve and GNOME Bluecurve.

Additional info:

Tried the following packages on a fresh Phoebe 8.0.94 installation :

- "redhat-artwork-0.65-1" (Phoebe 8.0.94)
- "redhat-artwork-0.68-1" (Rawhide).
Comment 1 Peter van Egdom 2003-03-02 11:03:07 EST
Created attachment 90438 [details]
Bottom right screenshot of Bluecurve window decoration in GNOME
Comment 2 Peter van Egdom 2003-03-02 11:04:40 EST
Created attachment 90439 [details]
Bottom right screenshot of Bluecurve window decoration in KDE
Comment 3 Peter van Egdom 2003-03-02 11:07:15 EST
Created attachment 90440 [details]
Top left screenshot of Bluecurve window decoration in GNOME
Comment 4 Peter van Egdom 2003-03-02 11:08:56 EST
Created attachment 90441 [details]
Top left screenshot of Bluecurve window decoration in KDE
Comment 5 Peter van Egdom 2003-03-02 11:18:13 EST
Created attachment 90442 [details]
Top right screenshot of Bluecurve window decoration in GNOME
Comment 6 Peter van Egdom 2003-03-02 11:19:25 EST
Created attachment 90443 [details]
Top right screenshot of Bluecurve window decoration in KDE
Comment 7 Alexander Larsson 2004-10-19 05:58:21 EDT
clee, you were working on this. Is this now fixed?
Comment 8 Chris Lee 2004-10-25 13:59:17 EDT
Nope, not "fixed" yet, but work is ongoing to continue to bring the Qt port of
Bluecurve more in line with the GTK implementation.

Fedora Core 3's version is much better than Fedora Core 2's, and I'm working on
fixing the remaining issues this week. Will update this bugreport with more
information about fixes as I hack. :)
Comment 9 Rahul Sundaram 2005-07-07 11:01:51 EDT
Clee,

Whats the status of this one. Is this relevant anymore?
Comment 10 Chris Lee 2005-07-08 10:49:54 EDT
Since we're not using BlueCurve as the default in GNOME any longer in Fedora
Core, it's probably a good idea to have KDE use the upstream default (Plastik)
as well.

I'll talk with than and see what we can do.
Comment 11 Bill Nottingham 2006-08-05 01:52:27 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 13 Bill Nottingham 2007-01-02 14:28:58 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.